*.log
.DS_Store
.env
.env.backup
.env.production
.phpactor.json
.phpunit.result.cache
/.fleet
/.idea
/.nova
/.phpunit.cache
/.vscode
/.zed
/auth.json
/node_modules
/public/build
/public/hot
/public/storage
/storage/*.key
/storage/pail
/vendor
Homestead.json
Homestead.yaml
Thumbs.db

# ======================================================
# ATURAN TAMBAHAN UNTUK DEPLOYMENT PDF DI RAILWAY
# ======================================================
# Abaikan semua yang ada di dalam folder storage
/storage/*

# KECUALI folder app di dalamnya
!/storage/app

# Kemudian, abaikan semua yang ada di dalam storage/app
/storage/app/*

# KECUALI folder public (jika Anda butuh storage:link) dan folder books kita
!/storage/app/public
!/storage/app/books